Name:               python-idna	
Version:            3.2
Release:            3
Summary:            Internationalized Domain Names in Applications (IDNA)
License:            BSD and Python and Unicode         	
URL:                https://github.com/kjd/idna
Source0:            https://files.pythonhosted.org/packages/source/i/idna/idna-%{version}.tar.gz

BuildArch:          noarch

BuildRequires:      python3-devel python3-setuptools

Patch6000:          backport-0001-CVE-2024-3651.patch
Patch6001:          backport-0002-CVE-2024-3651.patch
Patch6002:          backport-0003-CVE-2024-3651.patch
Patch6003:          backport-0004-CVE-2024-3651.patch
Patch6004:          backport-0005-CVE-2024-3651.patch

%description
A library to support the Internationalised Domain Names in
Applications (IDNA) protocol as specified in RFC 5891
http://tools.ietf.org/html/rfc5891. This version of the protocol
is often referred to as “IDNA2008” and can produce different
results from the earlier standard from 2003.

The library is also intended to act as a suitable drop-in replacement
for the “encodings.idna” module that comes with the Python standard
library but currently only supports the older 2003 specification.

%package -n         python3-idna
Summary:            Python3 package for python-idna
%{?python_provide:  %python_provide python3-idna}

%description -n     python3-idna
Python3 package for python-idna

%prep
%autosetup -n idna-%{version} -p1

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-idna
%defattr(-,root,root)
%doc README.rst HISTORY.rst
%license LICENSE.md
%{python3_sitelib}/*

%changelog
* Tue May 07 2024 zhangpan <zhangpan103@h-partners.com> - 3.2-3
- fix CVE-2024-3651

* Wed Oct 26 2022 zhouwenpei <zhouwenpei1@h-partners.com> - 3.2-2
- Rebuild for next release

* Fri Dec 03 2021 wangkerong <wangkerong@huawei.com> - 3.2-1
- update to 3.2

* Thu Oct 29 2020 wangye <wangye70@huawei.com> - 2.10-2
- remove python2-idna subpackage

* Thu Jul 23 2020 zhouhaibo <zhouhaibo@huawei.com> - 2.10-1
- Package update

* Wed Jan 15 2020 openEuler Buildteam <buildteam@openeuler.org> - 2.8-3
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:delete the python-idna

* Tue Jan 14 2020 openEuler Buildteam <buildteam@openeuler.org> - 2.8-2
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:delete the python provides in python2

* Wed Sep 4 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.8-1
- Package init
